Subject: Re: [RFC net-next 1/3] netdev: add per-queue statistics

From: "Nambiar, Amritha" <[email-masked]>
Date: Mon, 26 Feb 2024 11:42:32 -0800

On 2/23/2024 4:13 PM, Jakub Kicinski wrote:
> On Fri, 23 Feb 2024 12:51:51 -0800 Nambiar, Amritha wrote:
>> So I understand splitting a netdev object into component queues, but do
>> you have anything in mind WRT to splitting a queue, what could be the
>> components for a queue object?
> 
> HW vs SW stats was something that come to mind when I was writing
> the code. More speculatively speaking - there could also be queues
> fed from multiple buffer pool, so split per buffer pool could maybe
> one day make some sense?

Okay, HW/SW stats SGTM. Split per buffer pool also could be useful, 
queue+id+projection/scope/view would return multiple objects based on 
the pool.